Автор Тема: Не могу установить драйвера на Canon i-SENSYS MF4410  (Прочитано 2730 раз)

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 56
Здравствуйте, пытаюсь установить драйвера по этому мануалу.
Ни первый способ, ни второй не работают.
Подскажите, как если это возможно установить и настроить драйвера на этот принтер.
Ядро обновлено:
Спойлер
uname -a
Linux dell-500 5.10.125-std-def-alt1 #1 SMP Sat Jun 25 15:23:58 UTC 2022 i686 GNU/Linux
все обновлено. Система alt-workstation-10.0-i586
« Последнее редактирование: 01.07.2022 11:21:06 от kvadim »

Оффлайн NickM

  • Завсегдатай
  • *
  • Сообщений: 751
пытаюсь установить драйвера по этому мануалу.
Ни первый способ, ни второй не работают.
А что именно не работает?
Привели бы вывод консоли при установке, показали бы вывод lspci, показали бы, что видит "CUPS" и пр.

А так... ведь так может быть всё, что угодно, пойди догадайся, что там у Вас творится.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 31 765
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Попробуйте такой алгоритм:

1. Скачайте файл zip с драйверами отсюда
https://www.canon.ru/support/consumer_products/products/fax__multifunctionals/laser/laserbase_mf_series/i-sensys_mf4410.html?type=drivers&driverdetailid=tcm:203-1331911&os=linux (64-bit)&language=en
2. Вытащите из него файлы:

 cndrvcups-common-3.40-1.x86_64.rpm                                                                                                                                                                   
 cndrvcups-ufr2-uk-3.10-1.x86_64.rpm
   
3.  Перепакуйте их с помощью epm
4.  Установите полученные пакеты.
5.  Выберите в cups файл *.ppd, соответствующий вашему принтеру из каталога /usr/share/cups/model
подозреваю, что это или
CNCUPSMF4400WZK.ppd
или
CNCUPSMF4400WZK.ppd   

Единственно смущает - драйвер 2015 года. Он мог просто устареть.



« Последнее редактирование: 04.07.2022 15:58:17 от ruslandh »

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 56
пытаюсь установить драйвера по этому мануалу.
Ни первый способ, ни второй не работают.
А что именно не работает?
Спойлер
Привели бы вывод консоли при установке, показали бы вывод lspci, показали бы, что видит "CUPS" и пр.

А так... ведь так может быть всё, что угодно, пойди догадайся, что там у Вас творится.
Сейчас показать, что именно выводит команда lspci не могу, принтер занят, там за ним работают. Он сейчас подключен к другому компу на котором виндовс. Так что только в понедельник, смогу показать.
Спойлер
Привели бы вывод консоли при установке, показали бы вывод lspci, показали бы, что видит "CUPS" и пр.
После того, как подключил принтер к ноуту, сисмтема его вообще не видела. При выборе, какой драйвер установить, в списке не было драйвера под MF4410, было под MF4400 и под другие модели, ради экперемента ставил под MF4400, но принтер не пичитал, было написано, приостановка печати. Поэтому я удалил. Этот драйвер.
Вчера когда попробовал поставить драйвера используя те два способа из мануала ничего не вышло. Решил сегодна переустановить систему, чтобы после эксперементов все было с нуля, снова повторил. И результат тотже.
« Последнее редактирование: 01.07.2022 12:23:43 от kvadim »

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 56
Попробуйте такой алгоритм:

1. Скачайте файл zip с драйверами отсюда
https://www.canon.ru/support/consumer_products/products/fax__multifunctionals/laser/laserbase_mf_series/i-sensys_mf4410.html?type=drivers&driverdetailid=tcm:203-1331911&os=linux (64-bit)&language=en
2. Вытащите из него файлы:

 cndrvcups-common-3.40-1.x86_64.rpm                                                                                                                                                                   
 cndrvcups-ufr2-uk-3.10-1.x86_64.rpm
   
3.  Перепакуйте их с помощью epm
4.  Установите полученные пакеты.
5.  Выберите в cups файл *.ppd, соответствующий вашему принтеру из каталога /usr/share/cups/model
подозреваю, что это или
CNCUPSMF4400WZK.ppd
или
CNCUPSMF4400WZK.ppd   

Единственно смущает - драйвер 2015 года. Он мог просто устареть.

Спойлер
cndrvcups-common-3.40-1.x86_64.rpm                                                                                                                                                                   
 cndrvcups-ufr2-uk-3.10-1.x86_64.rpm
А они точно подойдут? Если система не 64 битная?

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 31 765
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
А они точно подойдут? Если система не 64 битная?
Нет, я думал у вас 64 бита, тогда возьмите аналогичные под 32 бита

cndrvcups-common-3.40-1.i386.rpm
cndrvcups-ufr2-uk-3.10-1.i386.rpm
« Последнее редактирование: 01.07.2022 12:30:33 от ruslandh »

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 56
А они точно подойдут? Если система не 64 битная?
Нет, я думал у вас 64 бита, тогда возьмите аналогичные под 32 бита
Так я же в начале указал, какой битности система стоит. Потому как ноут старый 2008 года. Одноядерный 2 с хвостиком гигагерца, и 2 гига оперативы. Какой смысл 64 ставить? Вообще ни какого.

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 56
cndrvcups-common-3.40-1.i386.rpm
cndrvcups-ufr2-uk-3.10-1.i386.rpm
Спасибо, попробую. Но, только что-то меня терзают смутные сомнения, что это сработает. Но, попробую в понедельник, только.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 31 765
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Так я же в начале указал, какой битности система стоит. Потому как ноут старый 2008 года. Одноядерный 2 с хвостиком гигагерца, и 2 гига оперативы. Какой смысл 64 ставить? Вообще ни какого.
Если у проца есть такая возможность, то лучше ставить 64 бита. Постепенно поддержка 32 битных пакетов сходит на нет (они просто перестают собираться по той или иной причине).

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 56
Так я же в начале указал, какой битности система стоит. Потому как ноут старый 2008 года. Одноядерный 2 с хвостиком гигагерца, и 2 гига оперативы. Какой смысл 64 ставить? Вообще ни какого.
Если у проца есть такая возможность, то лучше ставить 64 бита. Постепенно поддержка 32 битных пакетов сходит на нет (они просто перестают собираться по той или иной причине).
А 64 линукс не кушает больше оперативы, по аналогии с виндовс?

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 31 765
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Кушает, по моим личным прикидкам, больше процентов на 10. За счёт увеличения адресов переменных.
2 Гб, точно должно хватить ;-).
« Последнее редактирование: 01.07.2022 13:40:41 от ruslandh »

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 56
Кушает, по моим личным прикидкам, процентов на 10. За счёт увеличения адресов переменных.
2 Гб, точно должно хватить ;-).
Ок, значит попробую и такую поставить. На ноут, так все таки удобнее ходить с ноутом по кабинетам и проверять работоспособность с принтерами, чем тягать принтеры. Когда все работают на виндовс.

Что-то форум тормозит дико...или может инет так тупит...
« Последнее редактирование: 01.07.2022 13:24:44 от kvadim »

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 56
Вот я перепаковал эти два rpm файла, и что дальше?
lspci выдает такое:
Спойлер
lspci | grep -A5 USB
00:1a.0 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 02)
00:1d.0 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [AHCI mode] (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)


CUPS показывает это:

lsusb вот такое пишет:
Спойлер
lsusb
Bus 002 Device 003: ID 04a9:2737 Canon, Inc. MF4410
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
« Последнее редактирование: 04.07.2022 10:14:57 от kvadim »

Оффлайн NickM

  • Завсегдатай
  • *
  • Сообщений: 751
lspci выдает такое:
Я там Выше ошибся:
lsusb
CUPS показывает это:
Мда, глухо.

Оффлайн kvadim

  • Давно тут
  • **
  • Сообщений: 56
lspci выдает такое:
Я там Выше ошибся:
lsusb
CUPS показывает это:
Мда, глухо.

Обновил страницу с CUPS, теперь такое: